#include "demo_adc.h"
#include "adc.h"

uint8_t FlagADC = 0;
uint16_t adcData;
float Vot;

void ADC_Config(void)
{

	
	//SYS_IOPConfig(E_P10,P10AN1);//P10ܽΪADCͨ1
	ADC_InitStructTypeDef ADC_InitStructure;
	ADC_DeInit(ADC);
	SYS_APBPeriphClockCmd(SYS_APB_ADCCE,ENABLE);//ʱ
	ADC_InitStructure.ADC_ADCDIV = ADC_Div_128;//Ƶ1
	ADC_InitStructure.ADC_ADCMS = ADC_CON_ADCMSContinuous;//ģʽ
	
	SYS_IOPConfig(E_P10,P10AN1);
	ADC_ChannelConfig(ADC,ADC_Channel_1,ENABLE);//ͨ
	ADC_Init(ADC,&ADC_InitStructure);//ʼ
	ADC_Cmd(ADC,ENABLE);//ʹ
	//ADC_ITConfig(ADC,ADC_Channel_15,ENABLE);
}

//ADԲ
void ADC_Test(void)
{
			switch(FlagADC)
			{
				case 0:
				{
					ADC_StartOfConversion(ADC);
					FlagADC=1;
					break;
				}
				case 1:
				{
					if(ADC_GetConversionStatus(ADC,ADC_Channel_1))
					{
						ADC_ClearITPendingBit(ADC,ADC_Channel_1);
						ADC_StopOfConversion(ADC);
						adcData=ADC_GetConversionValue(ADC,ADC_Channel_1);
						Vot = ((float)(adcData)/4095)*3.2864f;
						FlagADC=0;	
					}
					
					break;
				}
				default:
				{
					
					break;
				}
			}
		}



