#include "demo_pwm.h"


void PWM1_Config(void)
{
		PWM_BaseStructTypeDef PWM0_InitTypeDef;

		SYS_IOPConfig(E_P17,P17PWM1A);
		SYS_IOPConfig(E_P25,P25PWM1B);

		PWM_DeInit();
		SYS_APBPeriphClockCmd(SYS_APB_PWMCE,ENABLE);
		PWM0_InitTypeDef.PWM_Select = PWM_PWMMS_PWM;
		PWM0_InitTypeDef.PWM_Prescale = PWM_PWMPS_PClkDiv4;
		PWM0_InitTypeDef.PWM_CaptureModeSelect=0x0;
		PWM0_InitTypeDef.PWM_CaptureChannelSelect=0x0;
		PWM_Init(PWM1,&PWM0_InitTypeDef);//⺯ײԴʹλ

		PWM_Val=250;
		PWM_SetLoadVal(PWM1,1000,ENABLE);
		PWM_SetADataVal(PWM1,PWM_Val,PWM_P);
		PWM_SetBDataVal(PWM1,450,PWM_P);

		PWM_Cmd(PWM1,PWM_RUN);
}

void Capture0_Config(void)
{
		PWM_BaseStructTypeDef PWM0_InitTypeDef;

		//	SYS_IOPConfig(E_P04,P04PWM0A);
		SYS_IOPConfig(E_P05,P05PWM0B);

		PWM_DeInit();
		SYS_APBPeriphClockCmd(SYS_APB_PWMCE,ENABLE);
		PWM0_InitTypeDef.PWM_Select = PWM_PWMMS_Capture;
		PWM0_InitTypeDef.PWM_Prescale = PWM_PWMPS_PClkDiv16;//3M
		PWM0_InitTypeDef.PWM_CaptureModeSelect= PWM_CMS_CMSRis;//׽ص½
		PWM0_InitTypeDef.PWM_CaptureChannelSelect=PWM_CHS_ChannelB;//ѡͨA
		PWM_Init(PWM0,&PWM0_InitTypeDef);//⺯ײԴʹλ

		PWM_ITConfig(PWM_IMSC0,ENABLE);//ʹPWM0ıȽϲ׽ж
		NVIC_EnableIRQ(PWM_IRQn);//ʹж
		NVIC_SetPriority(PWM_IRQn,3);
		PWM_Cmd(PWM0,PWM_RUN);//RUN
}




