/**
  ******************************************************************************
  * @file    WDG/Reset/main.c
  * @author  CMS IC Test Team
  * @version V1.0.0
  * @date    29-December-2016
  * @brief   Main program body
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT 2016 A member of CMSemicon</center></h2>
  *
  * Licensed under MCD-CMS Liberty SW License Agreement V2, (the "License");
  * You may not use this file except in compliance with the License.
  * You may obtain a copy of the License at:
  *
  *        http://www.mcu.com.cn/about.php
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  *
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "CMS32F030.h"
#include "demo_spi.h"
#include "system.h"
/** @addtogroup CMS32F030x_StdPeriph_Examples
  * @{
  */

/** @addtogroup GPIO_IOToggle
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
volatile	uint32_t value=0;
void Delay(uint32_t dly);





/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/**
  * @brief  Main program.
  * @param  None
  * @retval None
  */


uint32_t cidl=0,cidh=0,uid=0;
int main(void)
{
	uint32_t i,j;
	//Ĭ£PCLK<=HCLK<=FSYS
/*ʱ48M------------------------------------------------------------------*/
  SYS_HSIConfig(SYS_HSI_8M);//IHRCΪ8M
	SYS_HSICmd(ENABLE);

	/*PLLΪϵͳʱ*/
	SYS_PLLConfig(SYS_PLLCLKSrc_IHRC,SYS_PLLCLKSrcDiv_1,4,0);//6Ƶ
	SYS_PLLCmd(ENABLE);
  while(SYS_WaitForPLLStartUp() != SUCCESS);//ȴPLLȶ
  Delay(10);
	SYS_SYSCLKConfig(SYS_CLK_PLLCLK);//PLLCLKΪʱԴ
  SystemCoreClockUpdate();
	Delay(10);//ʱȴPLLȶ

/*ʼ---------------------------------------------------------------------*/
	SPI_ConfigMaster();
	
		for(i=12000;i>0;i--)
		for(j=120;j>0;j--);

	value = SPI_M95256_Read_SFR(M95256_RDSR);		/*ȡSFR*/
	SPI_M95256_Write(0x00, 0x48);					/*д*/
	for(i=655360;i>0;i--)
		for(j=10;j>0;j--);
	value = SPI_M95256_Read_Data(0x00);				/*ȡ*/
  while(1)
  {		
			
  }
}







void Delay(uint32_t dly)
{
    uint32_t i = 0;
    while(dly--)
    {
        for(i=0;i<1000;i++);
    }
}

#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */

/**
  * @}
  */

/************************ (C) COPYRIGHT A menmber of CMSemicon *****END OF FILE****/
