#include "demo_uart.h"


void UART_Config(void)
{
    UART_InitTypeDef        uart_initStructure;

    SYS_IOPConfig(E_P06,P06RXD1);
    SYS_IOPConfig(E_P07,P07TXD1);
	
    UART_DeInit(UART1);
    SYS_APBPeriphClockCmd(SYS_APB_UART1CE,ENABLE);

    uart_initStructure.UART_BaudRate    = 115200;
    uart_initStructure.UART_Parity      = UART_Parity_Disable;
    uart_initStructure.UART_ParityType  = UART_Parity_Even;
    uart_initStructure.UART_StopBits    = UART_StopBits_1;
    uart_initStructure.UART_WordLength  = UART_WordLength_8b;

    UART_Init(UART1,&uart_initStructure);
    UART_ITConfig(UART1,UART_IER_RBRIE,ENABLE);

    NVIC_ClearPendingIRQ(UART1_IRQn);
    NVIC_EnableIRQ(UART1_IRQn);
}





