/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file isr.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "CMS32F035x.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/
extern uint8_t *I2CS_RX_Address;  
/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/
volatile	uint32_t  I2C_Receive_Flag =0;			
volatile	uint32_t  I2C_Work_Flag =0;

volatile	uint32_t  I2C_Receive_Data =0;
 volatile	uint32_t  I2C_Send_Data =0;
volatile unsigned char buf[30];
volatile unsigned char *pbuf=buf;

volatile unsigned char sspcount =0;
/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/
     
/****************************************************************************
 ** \brief	NMI_Handler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void NMI_Handler(void)
{
	
}
/****************************************************************************
 ** \brief	HardFault_Handler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void HardFault_Handler(void)
{
	
}

/****************************************************************************
 ** \brief	SVC_Handler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void SVC_Handler(void)
{
	
}

/****************************************************************************
 ** \brief	PendSV_Handler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void PendSV_Handler(void)
{
	
}
/****************************************************************************
 ** \brief	SysTick_Handler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void SysTick_Handler(void)
{
	
}
           
/****************************************************************************
 ** \brief	GPIO0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO0_IRQHandler(void)
{

}

/****************************************************************************
 ** \brief	GPIO1_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO1_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	GPIO2_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO2_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	GPIO3_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO3_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	GPIO4_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO4_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	GPIO5_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void GPIO5_IRQHandler(void)
{
	
}

/****************************************************************************
 ** \brief	CCP_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void CCP_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	ADC0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void ADC0_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	WWDT_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void WWDT_IRQHandler(void)
{
		
}
/****************************************************************************
 ** \brief	EPWM_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void EPWM_IRQHandler(void)
{

}
/****************************************************************************
 ** \brief	ADCB_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void ADCB_IRQHandler(void)
{
		
}
/****************************************************************************
 ** \brief	ACMP_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void ACMP_IRQHandler(void)
{
	;
}
/****************************************************************************
 ** \brief	UART0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void UART0_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	UART1_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void UART1_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	TIMER0_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void TIMER0_IRQHandler(void)
{
		
}
/****************************************************************************
 ** \brief	TIMER1_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void TIMER1_IRQHandler(void)
{
                       
}

/****************************************************************************
 ** \brief	TIMER2_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void TIMER2_IRQHandler(void)
{
		
}
/****************************************************************************
 ** \brief	TIMER3_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void TIMER3_IRQHandler(void)
{
                    
}

/****************************************************************************
 ** \brief	WDT_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void WDT_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	I2C_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void I2C_IRQHandler(void)
{
	if(I2C_GetIntFlag())
	{
		I2C_Receive_Flag = I2C_GetStatus();
		switch(I2C_Receive_Flag)
		{
/*----------------------------ģʽ-----------------------------------------*/
			case  I2C_SS_RECEIVE_ADDR_W:			/*ӻյ͵ĵַ+дظACK*/	
				
				I2C_Work_Flag = 0x01;				/*ӻѡвд*/	
				I2C_SendACK();						/*յ ظACK*/				 
				break;
			case  I2C_SS_RECEIVE_DAT_ACK:							/*ӻַƥյݣظACK*/	

				I2C_Work_Flag =0x02;
				I2C_Receive_Data =	I2C_GetData();		/*ȡ*/
							
				*pbuf++= I2C_Receive_Data;
				
					I2C_SendACK();						/*յ ظACK*/
				break;	
			case  I2C_SS_RECEIVE_DAT_NO_ACK:							/*ӻַƥյݣظ no ACK*/	
				
				I2C_Work_Flag = 0x05;					/*ӻյ*/		
				I2C_NotSendACK();
				break;
			case I2C_SS_RECEIVE_STOP_OR_RESTART:		/*յֹͣź*/
				
				pbuf = buf;
				I2C_Work_Flag = 0x04;	

			
				break;	
			
			case  I2C_SS_RECEIVE_ADDR_R_ACK:			/*ӻյ͵ĵַ+ظACK**/	
				
				I2C_Work_Flag = 0x03;					/*ӻն*/	
				/*-------------------*/
				//I2C_NotSendACK();			/*״̬>0XC8*/
				/*-------------------*/		
			
				I2C_Send_Data = buf[sspcount++];					
				I2C_SendData(I2C_Send_Data);
				
				break;			
			case  I2C_SS_SEND_DAT_NO_ACK:				/*ӻģʽ·ݺδյACK*/				
				I2C_Work_Flag = 0x07;
				sspcount=0;	
				pbuf = buf;
				break;

			case  I2C_SS_SEND_DAT_ACK:					/*ӻģʽ·ݺ󣬽յACK*/				
				I2C_Work_Flag = 0x06;				    		

				I2C_Send_Data = buf[sspcount++];					
				I2C_SendData(I2C_Send_Data);					
				break;	


			
			case  I2C_SS_SEND_LAST_DAT_NO_ACK:				/*ӻģʽ·һݺδյACK*/				
				I2C_Work_Flag = 0x08;				    		
				
				break;	
			
			case  I2C_SS_SEND_LAST_DAT_ACK:				/*ӻģʽ·һݺ󣬽յACK:*/				
				I2C_Work_Flag = 0x09;				    		
	
				I2C_Send_Data =5 ;					
				I2C_SendData(I2C_Send_Data);
			
				break;	

			case  I2C_SS_BORADCAST_RECEIVE_DAT_ACK:				/*ӻչ㲥еַյݣظACK*/	
				
				I2C_Receive_Data =	I2C_GetData();				/*ȡ*/			
				*pbuf++= I2C_Receive_Data;				  
					
				  I2C_Work_Flag = 0x0A;				    		
			
				break;	
			
			case  I2C_SS_BORADCAST_RECEIVE_DAT_NO_ACK:				/*ӻչ㲥еַյݣظACK*/				
				I2C_Work_Flag = 0x0B;				    		
			
				break;	
			
		}
		if(sspcount > 30)
		{
			sspcount=0;	
		}
		if(pbuf > (buf + 30))
		{
			pbuf = buf;
		}	
		I2C_ClearIntFlag();
	}
}

/****************************************************************************
 ** \brief	SSP_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void SSP_IRQHandler(void)
{
	
}
/****************************************************************************
 ** \brief	SYS_CHK_IRQHandler
 **
 ** \param [in]  none   
 ** \return none
 ** \note
****************************************************************************/
void SYS_CHK_IRQHandler(void)
{	

}



